/*
 * Copyright 2020, The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/* Generated by generate_translations - DO NOT EDIT */

#include <teeui/localization/ConfirmationUITranslations.h>

#include <stdint.h>
#include <string.h>

namespace teeui {
namespace localization {

static constexpr const char* languageIds[] = {
  "en", /* untranslated */
  "af",
  "am",
  "ar",
  "ar_EG",
  "ar_JO",
  "ar_MA",
  "ar_SA",
  "ar_XB",
  "as",
  "az",
  "be",
  "bg",
  "bn",
  "bs",
  "ca",
  "cs",
  "da",
  "de",
  "de_AT",
  "de_CH",
  "el",
  "en_AU",
  "en_CA",
  "en_GB",
  "en_IE",
  "en_IN",
  "en_NZ",
  "en_SG",
  "en_ZA",
  "es",
  "es_419",
  "es_AR",
  "es_BO",
  "es_CL",
  "es_CO",
  "es_CR",
  "es_DO",
  "es_EC",
  "es_GT",
  "es_HN",
  "es_MX",
  "es_NI",
  "es_PA",
  "es_PE",
  "es_PR",
  "es_PY",
  "es_SV",
  "es_US",
  "es_UY",
  "es_VE",
  "et",
  "eu",
  "fa",
  "fi",
  "fil",
  "fr",
  "fr_CA",
  "fr_CH",
  "gl",
  "gsw",
  "gu",
  "he",
  "hi",
  "hr",
  "hu",
  "hy",
  "id",
  "in",
  "is",
  "it",
  "iw",
  "ja",
  "ka",
  "kk",
  "km",
  "kn",
  "ko",
  "ky",
  "ln",
  "lo",
  "lt",
  "lv",
  "mk",
  "ml",
  "mn",
  "mo",
  "mr",
  "ms",
  "my",
  "nb",
  "ne",
  "nl",
  "no",
  "or",
  "pa",
  "pl",
  "pt",
  "pt_BR",
  "pt_PT",
  "ro",
  "ru",
  "si",
  "sk",
  "sl",
  "sq",
  "sr",
  "sr_Latn",
  "sv",
  "sw",
  "ta",
  "te",
  "th",
  "tl",
  "tr",
  "uk",
  "ur",
  "uz",
  "vi",
  "zh",
  "zh_CN",
  "zh_HK",
  "zh_TW",
  "zu",
  nullptr,
};

#define ARRAY_ELEMENTS(arr) \
    (sizeof(arr)/sizeof(arr[0]))

#define NUM_LANGUAGE_IDS \
    (ARRAY_ELEMENTS(languageIds) - 1)

#define NUM_TRANSLATION_IDS uint32_t(TranslationId::__COUNT__)

/* "common_typos_disable" this is to pacify the lint bot of
    android.googlesource.com, this are translations for the texts, so it should
    not be checked by lint for misspelling. */
static constexpr const char *
translationIds[NUM_TRANSLATION_IDS][NUM_LANGUAGE_IDS] = {
  { /* CANCEL */
    "Cancel", /* en (untranslated) */
    "Kanselleer", /* af */
    "ይቅር", /* am */
    "إلغاء", /* ar */
    "إلغاء", /* ar_EG */
    "إلغاء", /* ar_JO */
    "إلغاء", /* ar_MA */
    "إلغاء", /* ar_SA */
    "‏‮Cancel‬‏", /* ar_XB */
    "বাতিল কৰক", /* as */
    "Ləğv edin", /* az */
    "Скасаваць", /* be */
    "Отказ", /* bg */
    "বাতিল করুন", /* bn */
    "Otkaži", /* bs */
    "Cancel·la", /* ca */
    "Zrušit", /* cs */
    "Annuller", /* da */
    "Abbrechen", /* de */
    "Abbrechen", /* de_AT */
    "Abbrechen", /* de_CH */
    "Άκυρο", /* el */
    "Cancel", /* en_AU */
    "Cancel", /* en_CA */
    "Cancel", /* en_GB */
    "Cancel", /* en_IE */
    "Cancel", /* en_IN */
    "Cancel", /* en_NZ */
    "Cancel", /* en_SG */
    "Cancel", /* en_ZA */
    "Cancelar", /* es */
    "Cancelar", /* es_419 */
    "Cancelar", /* es_AR */
    "Cancelar", /* es_BO */
    "Cancelar", /* es_CL */
    "Cancelar", /* es_CO */
    "Cancelar", /* es_CR */
    "Cancelar", /* es_DO */
    "Cancelar", /* es_EC */
    "Cancelar", /* es_GT */
    "Cancelar", /* es_HN */
    "Cancelar", /* es_MX */
    "Cancelar", /* es_NI */
    "Cancelar", /* es_PA */
    "Cancelar", /* es_PE */
    "Cancelar", /* es_PR */
    "Cancelar", /* es_PY */
    "Cancelar", /* es_SV */
    "Cancelar", /* es_US */
    "Cancelar", /* es_UY */
    "Cancelar", /* es_VE */
    "Loobu", /* et */
    "Utzi", /* eu */
    "لغو", /* fa */
    "Peruuta", /* fi */
    "Kanselahin", /* fil */
    "Annuler", /* fr */
    "Annuler", /* fr_CA */
    "Annuler", /* fr_CH */
    "Cancelar", /* gl */
    "Abbrechen", /* gsw */
    "રદ કરો", /* gu */
    "ביטול", /* he */
    "अभी नहीं", /* hi */
    "Otkaži", /* hr */
    "Mégse", /* hu */
    "Չեղարկել", /* hy */
    "Batal", /* id */
    "Batal", /* in */
    "Hætta við", /* is */
    "Annulla", /* it */
    "ביטול", /* iw */
    "キャンセル", /* ja */
    "გაუქმება", /* ka */
    "Бас тарту", /* kk */
    "បោះបង់", /* km */
    "ರದ್ದುಗೊಳಿಸಿ", /* kn */
    "취소", /* ko */
    "Жок", /* ky */
    "Annuler", /* ln */
    "ຍົກເລີກ", /* lo */
    "Atšaukti", /* lt */
    "Atcelt", /* lv */
    "Откажи", /* mk */
    "റദ്ദാക്കുക", /* ml */
    "Болих", /* mn */
    "Anulați", /* mo */
    "रद्द करा", /* mr */
    "Batal", /* ms */
    "မလုပ်တော့", /* my */
    "Avbryt", /* nb */
    "रद्द गर्नुहोस्", /* ne */
    "Annuleren", /* nl */
    "Avbryt", /* no */
    "ବାତିଲ୍ କରନ୍ତୁ", /* or */
    "ਰੱਦ ਕਰੋ", /* pa */
    "Anuluj", /* pl */
    "Cancelar", /* pt */
    "Cancelar", /* pt_BR */
    "Cancelar", /* pt_PT */
    "Anulați", /* ro */
    "Отмена", /* ru */
    "අවලංගු කරන්න", /* si */
    "Zrušiť", /* sk */
    "Prekliči", /* sl */
    "Anulo", /* sq */
    "Откажи", /* sr */
    "Otkaži", /* sr_Latn */
    "Avbryt", /* sv */
    "Ghairi", /* sw */
    "ரத்துசெய்", /* ta */
    "రద్దు చేయి", /* te */
    "ยกเลิก", /* th */
    "Kanselahin", /* tl */
    "İptal", /* tr */
    "Скасувати", /* uk */
    "منسوخ کریں", /* ur */
    "Bekor qilish", /* uz */
    "Hủy", /* vi */
    "取消", /* zh */
    "取消", /* zh_CN */
    "取消", /* zh_HK */
    "取消", /* zh_TW */
    "Hoxa", /* zu */
  },
  { /* CANCEL_VOL */
    "Press any volume button to cancel", /* en (untranslated) */
    "Druk enige volumeknoppie om te kanselleer", /* af */
    "ለመሰረዝ ማናቸውንም የድምፅ አዝራር ይጫኑ", /* am */
    "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.", /* ar */
    "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.", /* ar_EG */
    "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.", /* ar_JO */
    "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.", /* ar_MA */
    "اضغط على أي زر من أزرار مستوى الصوت لإلغاء الإجراء.", /* ar_SA */
    "‏‮Press‬‏ ‏‮any‬‏ ‏‮volume‬‏ ‏‮button‬‏ ‏‮to‬‏ ‏‮cancel‬‏", /* ar_XB */
    "বাতিল কৰিবলৈ যিকোনো ভলিউম বুটাম হেঁচক", /* as */
    "Ləğv etmək üçün istənilən səs düyməsinə basın", /* az */
    "Націсніце любую кнопку гучнасці, каб cкасаваць", /* be */
    "Натиснете някой от бутоните за силата на звука, за да анулирате", /* bg */
    "বাতিল করতে ভলিউমের যেকোনও বোতাম টিপুন", /* bn */
    "Pritisnite bilo koje dugme za podešavanje jačine zvuka da otkažete", /* bs */
    "Prem qualsevol botó de volum per cancel·lar", /* ca */
    "Zrušte stisknutím tlačítka hlasitosti", /* cs */
    "Tryk på en af lydstyrkeknapperne for at annullere", /* da */
    "Zum Abbrechen eine beliebige Lautstärketaste drücken", /* de */
    "Zum Abbrechen eine beliebige Lautstärketaste drücken", /* de_AT */
    "Zum Abbrechen eine beliebige Lautstärketaste drücken", /* de_CH */
    "Πατήστε οποιοδήποτε κουμπί έντασης ήχου για ακύρωση", /* el */
    "Press any volume button to cancel", /* en_AU */
    "Press any volume button to cancel", /* en_CA */
    "Press any volume button to cancel", /* en_GB */
    "Press any volume button to cancel", /* en_IE */
    "Press any volume button to cancel", /* en_IN */
    "Press any volume button to cancel", /* en_NZ */
    "Press any volume button to cancel", /* en_SG */
    "Press any volume button to cancel", /* en_ZA */
    "Pulsa cualquier botón de volumen para cancelar", /* es */
    "Presiona cualquier botón de volumen para cancelar", /* es_419 */
    "Presiona cualquier botón de volumen para cancelar", /* es_AR */
    "Presiona cualquier botón de volumen para cancelar", /* es_BO */
    "Presiona cualquier botón de volumen para cancelar", /* es_CL */
    "Presiona cualquier botón de volumen para cancelar", /* es_CO */
    "Presiona cualquier botón de volumen para cancelar", /* es_CR */
    "Presiona cualquier botón de volumen para cancelar", /* es_DO */
    "Presiona cualquier botón de volumen para cancelar", /* es_EC */
    "Presiona cualquier botón de volumen para cancelar", /* es_GT */
    "Presiona cualquier botón de volumen para cancelar", /* es_HN */
    "Presiona cualquier botón de volumen para cancelar", /* es_MX */
    "Presiona cualquier botón de volumen para cancelar", /* es_NI */
    "Presiona cualquier botón de volumen para cancelar", /* es_PA */
    "Presiona cualquier botón de volumen para cancelar", /* es_PE */
    "Presiona cualquier botón de volumen para cancelar", /* es_PR */
    "Presiona cualquier botón de volumen para cancelar", /* es_PY */
    "Presiona cualquier botón de volumen para cancelar", /* es_SV */
    "Presiona cualquier botón de volumen para cancelar", /* es_US */
    "Presiona cualquier botón de volumen para cancelar", /* es_UY */
    "Presiona cualquier botón de volumen para cancelar", /* es_VE */
    "Tühistamiseks vajutage mis tahes helitugevuse nuppu", /* et */
    "Bertan behera uzteko, sakatu bolumen-tekla bat", /* eu */
    "برای لغو، یکی از دکمه‌های میزان صدا را فشار دهید", /* fa */
    "Peruuta painamalla äänenvoimakkuuspainiketta", /* fi */
    "Pindutin ang anumang button ng volume para kanselahin", /* fil */
    "Appuyez sur l\'un des boutons de volume pour annuler l\'opération", /* fr */
    "Appuyez sur un bouton de volume pour annuler l\'action", /* fr_CA */
    "Appuyez sur l\'un des boutons de volume pour annuler l\'opération", /* fr_CH */
    "Preme calquera botón de volume para cancelar", /* gl */
    "Zum Abbrechen eine beliebige Lautstärketaste drücken", /* gsw */
    "રદ કરવા માટે કોઈપણ વૉલ્યૂમનું બટન દબાવો", /* gu */
    "יש ללחוץ על לחצן כלשהו של עוצמת הקול כדי לבטל", /* he */
    "रद्द करने के लिए कोई भी वॉल्यूम बटन दबाएं", /* hi */
    "Pritisnite bilo koju tipku za glasnoću da biste otkazali", /* hr */
    "Nyomja meg valamelyik hangerőgombot az elvetéshez", /* hu */
    "Չեղարկելու համար սեղմեք ձայնի կագավորման որևէ կոճակ", /* hy */
    "Tekan tombol volume apa saja untuk membatalkan", /* id */
    "Tekan tombol volume apa saja untuk membatalkan", /* in */
    "Ýttu á hvaða hljóðstyrkshnapp sem er til að hætta við", /* is */
    "Premi qualsiasi pulsante del volume per annullare", /* it */
    "יש ללחוץ על לחצן כלשהו של עוצמת הקול כדי לבטל", /* iw */
    "キャンセルするには、いずれかの音量ボタンを押します", /* ja */
    "გასაუქმებლად დააჭირეთ ხმის რეგულირების ნებისმიერ ღილაკს", /* ka */
    "Бас тарту үшін кез келген дыбыс деңгейі түймесін басыңыз", /* kk */
    "ចុចប៊ូតុង​កម្រិតសំឡេង​ណាមួយ​ដើម្បីបោះបង់", /* km */
    "ರದ್ದುಗೊಳಿಸಲು ಯಾವುದೇ ವಾಲ್ಯೂಮ್‌ ಬಟನ್ ಒತ್ತಿರಿ", /* kn */
    "취소하려면 볼륨 버튼 중 하나를 누르세요.", /* ko */
    "Жокко чыгаруу үчүн үн көлөмүнүн баскычтарынын бирин басыңыз", /* ky */
    "Appuyez sur l\'un des boutons de volume pour annuler l\'opération", /* ln */
    "ກົດປຸ່ມສຽງຂຶ້ນ ຫຼື ລົງເພື່ອຍົກເລີກ", /* lo */
    "Paspauskite bet kurį garsumo mygtuką, kad atšauktumėte", /* lt */
    "Lai atceltu, nospiediet jebkuru skaļuma pogu", /* lv */
    "Притиснете на кое било копче за јачина на звук за да откажете", /* mk */
    "റദ്ദാക്കാൻ എതെങ്കിലും വോളിയം ബട്ടൺ അമർത്തുക", /* ml */
    "Болихын тулд дууны түвшний товчлуурын аль нэгийг нь дарах", /* mn */
    "Apăsați orice buton de volum pentru a anula", /* mo */
    "रद्द करण्‍यासाठी कोणतेही व्‍हॉल्‍यूम बटण दाबा", /* mr */
    "Tekan sebarang butang kelantangan untuk membatalkan tindakan", /* ms */
    "ပယ်ဖျက်ရန် အသံအတိုးအကျယ်ခလုတ် တစ်ခုခုကိုနှိပ်ပါ", /* my */
    "Trykk på en volumknapp for å avbryte", /* nb */
    "रद्द गर्नका लागि कुनै भोल्युम बटन थिच्नुहोस्", /* ne */
    "Druk op een volumeknop om te annuleren", /* nl */
    "Trykk på en volumknapp for å avbryte", /* no */
    "କ୍ୟାନ୍ସଲ୍ କରିବା ପାଇଁ ଯେକୌଣସି ଭଲ୍ୟୁମ୍ ବଟନ୍‌କୁ ଦାବନ୍ତୁ", /* or */
    "ਰੱਦ ਕਰਨ ਲਈ ਕਿਸੇ ਵੀ ਵੌਲਿਊਮ ਬਟਨ ਨੂੰ ਦਬਾਓ", /* pa */
    "Naciśnij dowolny przycisk głośności, aby anulować", /* pl */
    "Pressione um dos botões de volume para cancelar", /* pt */
    "Pressione um dos botões de volume para cancelar", /* pt_BR */
    "Prima qualquer botão de volume para cancelar.", /* pt_PT */
    "Apăsați orice buton de volum pentru a anula", /* ro */
    "Для отмены нажмите на любую кнопку регулировки громкости.", /* ru */
    "අවලංගු කිරීමට ඕනෑම හඬ පරිමා බොත්තමක් ඔබන්න", /* si */
    "Zrušte stlačením ľubovoľného tlačidla hlasitosti", /* sk */
    "Za preklic pritisnite poljuben gumb za glasnost", /* sl */
    "Shtyp çdo buton volumi për ta anuluar", /* sq */
    "Притисните било које дугме за јачину звука да бисте отказали", /* sr */
    "Pritisnite bilo koje dugme za jačinu zvuka da biste otkazali", /* sr_Latn */
    "Avbryt genom att trycka på valfri volymknapp", /* sv */
    "Bonyeza kitufe chochote cha sauti ili ughairi", /* sw */
    "ரத்துசெய்ய, ஏதேனும் ஒலியளவு பட்டனை அழுத்தவும்", /* ta */
    "రద్దు చేయడానికి ఏదైనా వాల్యూమ్ బటన్‌ను నొక్కండి", /* te */
    "กดปุ่มปรับระดับเสียงเพื่อยกเลิก", /* th */
    "Pindutin ang anumang button ng volume para kanselahin", /* tl */
    "İptal etmek için herhangi bir ses düğmesine basın", /* tr */
    "Натисніть будь-яку клавішу гучності, щоб скасувати", /* uk */
    "منسوخ کرنے کے لئے کوئی بھی والیوم بٹن دبائیں", /* ur */
    "Bekor qilish uchun istalgan tovush tugmasini bosing", /* uz */
    "Nhấn vào nút âm lượng bất kỳ để hủy", /* vi */
    "按任意音量按钮即可取消", /* zh */
    "按任意音量按钮即可取消", /* zh_CN */
    "按下任何音量按鈕即可取消", /* zh_HK */
    "按下任一音量按鈕即可取消操作", /* zh_TW */
    "Cindezela noma iyiphi inkinobho yevolumu ukuze ukhansele", /* zu */
  },
  { /* CANCEL_VOL_DOWN */
    "Cancel", /* en (untranslated) */
    "Kanselleer", /* af */
    "ይቅር", /* am */
    "إلغاء", /* ar */
    "إلغاء", /* ar_EG */
    "إلغاء", /* ar_JO */
    "إلغاء", /* ar_MA */
    "إلغاء", /* ar_SA */
    "‏‮Cancel‬‏", /* ar_XB */
    "বাতিল কৰক", /* as */
    "Ləğv edin", /* az */
    "Скасаваць", /* be */
    "Отказ", /* bg */
    "বাতিল করুন", /* bn */
    "Otkaži", /* bs */
    "Cancel·la", /* ca */
    "Zrušit", /* cs */
    "Annuller", /* da */
    "Abbrechen", /* de */
    "Abbrechen", /* de_AT */
    "Abbrechen", /* de_CH */
    "Ακύρωση", /* el */
    "Cancel", /* en_AU */
    "Cancel", /* en_CA */
    "Cancel", /* en_GB */
    "Cancel", /* en_IE */
    "Cancel", /* en_IN */
    "Cancel", /* en_NZ */
    "Cancel", /* en_SG */
    "Cancel", /* en_ZA */
    "Cancelar", /* es */
    "Cancelar", /* es_419 */
    "Cancelar", /* es_AR */
    "Cancelar", /* es_BO */
    "Cancelar", /* es_CL */
    "Cancelar", /* es_CO */
    "Cancelar", /* es_CR */
    "Cancelar", /* es_DO */
    "Cancelar", /* es_EC */
    "Cancelar", /* es_GT */
    "Cancelar", /* es_HN */
    "Cancelar", /* es_MX */
    "Cancelar", /* es_NI */
    "Cancelar", /* es_PA */
    "Cancelar", /* es_PE */
    "Cancelar", /* es_PR */
    "Cancelar", /* es_PY */
    "Cancelar", /* es_SV */
    "Cancelar", /* es_US */
    "Cancelar", /* es_UY */
    "Cancelar", /* es_VE */
    "Tühista", /* et */
    "Utzi", /* eu */
    "لغو", /* fa */
    "Peruuta", /* fi */
    "Kanselahin", /* fil */
    "Annuler", /* fr */
    "Annuler", /* fr_CA */
    "Annuler", /* fr_CH */
    "Cancelar", /* gl */
    "Abbrechen", /* gsw */
    "રદ કરો", /* gu */
    "ביטול", /* he */
    "रद्द करें", /* hi */
    "Otkaži", /* hr */
    "Mégse", /* hu */
    "Չեղարկել", /* hy */
    "Batal", /* id */
    "Batal", /* in */
    "Hætta við", /* is */
    "Annulla", /* it */
    "ביטול", /* iw */
    "キャンセル", /* ja */
    "გაუქმება", /* ka */
    "Бас тарту", /* kk */
    "បោះបង់", /* km */
    "ರದ್ದು", /* kn */
    "취소", /* ko */
    "Жокко чыгаруу", /* ky */
    "Annuler", /* ln */
    "ຍົກເລີກ", /* lo */
    "Atšaukti", /* lt */
    "Atcelt", /* lv */
    "Откажи", /* mk */
    "റദ്ദാക്കുക", /* ml */
    "Болих", /* mn */
    "Anulați", /* mo */
    "रद्द करा", /* mr */
    "Batal", /* ms */
    "မလုပ်တော့", /* my */
    "Avbryt", /* nb */
    "रद्द गर्नुहोस्", /* ne */
    "Annuleren", /* nl */
    "Avbryt", /* no */
    "କ୍ୟାନ୍ସଲ୍‍ କରନ୍ତୁ", /* or */
    "ਰੱਦ ਕਰੋ", /* pa */
    "Anuluj", /* pl */
    "Cancelar", /* pt */
    "Cancelar", /* pt_BR */
    "Cancelar", /* pt_PT */
    "Anulați", /* ro */
    "Отмена", /* ru */
    "අවලංගු කරන්න", /* si */
    "Zrušiť", /* sk */
    "Prekliči", /* sl */
    "Anulo", /* sq */
    "Откажи", /* sr */
    "Otkaži", /* sr_Latn */
    "Avbryt", /* sv */
    "Ghairi", /* sw */
    "ரத்துசெய்", /* ta */
    "రద్దు చేయండి", /* te */
    "ยกเลิก", /* th */
    "Kanselahin", /* tl */
    "İptal", /* tr */
    "Скасувати", /* uk */
    "منسوخ کریں", /* ur */
    "Bekor qilish", /* uz */
    "Hủy", /* vi */
    "取消", /* zh */
    "取消", /* zh_CN */
    "取消", /* zh_HK */
    "取消", /* zh_TW */
    "Khansela", /* zu */
  },
  { /* CANCEL_VOL_UP */
    "Cancel", /* en (untranslated) */
    "Kanselleer", /* af */
    "ይቅር", /* am */
    "إلغاء", /* ar */
    "إلغاء", /* ar_EG */
    "إلغاء", /* ar_JO */
    "إلغاء", /* ar_MA */
    "إلغاء", /* ar_SA */
    "‏‮Cancel‬‏", /* ar_XB */
    "বাতিল কৰক", /* as */
    "Ləğv edin", /* az */
    "Скасаваць", /* be */
    "Отказ", /* bg */
    "বাতিল করুন", /* bn */
    "Otkaži", /* bs */
    "Cancel·la", /* ca */
    "Zrušit", /* cs */
    "Annuller", /* da */
    "Abbrechen", /* de */
    "Abbrechen", /* de_AT */
    "Abbrechen", /* de_CH */
    "Ακύρωση", /* el */
    "Cancel", /* en_AU */
    "Cancel", /* en_CA */
    "Cancel", /* en_GB */
    "Cancel", /* en_IE */
    "Cancel", /* en_IN */
    "Cancel", /* en_NZ */
    "Cancel", /* en_SG */
    "Cancel", /* en_ZA */
    "Cancelar", /* es */
    "Cancelar", /* es_419 */
    "Cancelar", /* es_AR */
    "Cancelar", /* es_BO */
    "Cancelar", /* es_CL */
    "Cancelar", /* es_CO */
    "Cancelar", /* es_CR */
    "Cancelar", /* es_DO */
    "Cancelar", /* es_EC */
    "Cancelar", /* es_GT */
    "Cancelar", /* es_HN */
    "Cancelar", /* es_MX */
    "Cancelar", /* es_NI */
    "Cancelar", /* es_PA */
    "Cancelar", /* es_PE */
    "Cancelar", /* es_PR */
    "Cancelar", /* es_PY */
    "Cancelar", /* es_SV */
    "Cancelar", /* es_US */
    "Cancelar", /* es_UY */
    "Cancelar", /* es_VE */
    "Tühista", /* et */
    "Utzi", /* eu */
    "لغو", /* fa */
    "Peruuta", /* fi */
    "Kanselahin", /* fil */
    "Annuler", /* fr */
    "Annuler", /* fr_CA */
    "Annuler", /* fr_CH */
    "Cancelar", /* gl */
    "Abbrechen", /* gsw */
    "રદ કરો", /* gu */
    "ביטול", /* he */
    "रद्द करें", /* hi */
    "Otkaži", /* hr */
    "Mégse", /* hu */
    "Չեղարկել", /* hy */
    "Batal", /* id */
    "Batal", /* in */
    "Hætta við", /* is */
    "Annulla", /* it */
    "ביטול", /* iw */
    "キャンセル", /* ja */
    "გაუქმება", /* ka */
    "Бас тарту", /* kk */
    "បោះបង់", /* km */
    "ರದ್ದು", /* kn */
    "취소", /* ko */
    "Жокко чыгаруу", /* ky */
    "Annuler", /* ln */
    "ຍົກເລີກ", /* lo */
    "Atšaukti", /* lt */
    "Atcelt", /* lv */
    "Откажи", /* mk */
    "റദ്ദാക്കുക", /* ml */
    "Болих", /* mn */
    "Anulați", /* mo */
    "रद्द करा", /* mr */
    "Batal", /* ms */
    "မလုပ်တော့", /* my */
    "Avbryt", /* nb */
    "रद्द गर्नुहोस्", /* ne */
    "Annuleren", /* nl */
    "Avbryt", /* no */
    "କ୍ୟାନ୍ସଲ୍‍ କରନ୍ତୁ", /* or */
    "ਰੱਦ ਕਰੋ", /* pa */
    "Anuluj", /* pl */
    "Cancelar", /* pt */
    "Cancelar", /* pt_BR */
    "Cancelar", /* pt_PT */
    "Anulați", /* ro */
    "Отмена", /* ru */
    "අවලංගු කරන්න", /* si */
    "Zrušiť", /* sk */
    "Prekliči", /* sl */
    "Anulo", /* sq */
    "Откажи", /* sr */
    "Otkaži", /* sr_Latn */
    "Avbryt", /* sv */
    "Ghairi", /* sw */
    "ரத்துசெய்", /* ta */
    "రద్దు చేయండి", /* te */
    "ยกเลิก", /* th */
    "Kanselahin", /* tl */
    "İptal", /* tr */
    "Скасувати", /* uk */
    "منسوخ کریں", /* ur */
    "Bekor qilish", /* uz */
    "Hủy", /* vi */
    "取消", /* zh */
    "取消", /* zh_CN */
    "取消", /* zh_HK */
    "取消", /* zh_TW */
    "Khansela", /* zu */
  },
  { /* CONFIRM */
    "Confirm", /* en (untranslated) */
    "Bevestig", /* af */
    "አረጋግጥ", /* am */
    "تأكيد", /* ar */
    "تأكيد", /* ar_EG */
    "تأكيد", /* ar_JO */
    "تأكيد", /* ar_MA */
    "تأكيد", /* ar_SA */
    "‏‮Confirm‬‏", /* ar_XB */
    "নিশ্চিত কৰক", /* as */
    "Təsdiq edin", /* az */
    "Пацвердзіць", /* be */
    "Потвърждаване", /* bg */
    "কনফার্ম করুন", /* bn */
    "Potvrdi", /* bs */
    "Confirma", /* ca */
    "Potvrdit", /* cs */
    "Bekræft", /* da */
    "Bestätigen", /* de */
    "Bestätigen", /* de_AT */
    "Bestätigen", /* de_CH */
    "Επιβεβαίωση", /* el */
    "Confirm", /* en_AU */
    "Confirm", /* en_CA */
    "Confirm", /* en_GB */
    "Confirm", /* en_IE */
    "Confirm", /* en_IN */
    "Confirm", /* en_NZ */
    "Confirm", /* en_SG */
    "Confirm", /* en_ZA */
    "Confirmar", /* es */
    "Confirmar", /* es_419 */
    "Confirmar", /* es_AR */
    "Confirmar", /* es_BO */
    "Confirmar", /* es_CL */
    "Confirmar", /* es_CO */
    "Confirmar", /* es_CR */
    "Confirmar", /* es_DO */
    "Confirmar", /* es_EC */
    "Confirmar", /* es_GT */
    "Confirmar", /* es_HN */
    "Confirmar", /* es_MX */
    "Confirmar", /* es_NI */
    "Confirmar", /* es_PA */
    "Confirmar", /* es_PE */
    "Confirmar", /* es_PR */
    "Confirmar", /* es_PY */
    "Confirmar", /* es_SV */
    "Confirmar", /* es_US */
    "Confirmar", /* es_UY */
    "Confirmar", /* es_VE */
    "Kinnita", /* et */
    "Berretsi", /* eu */
    "تأیید", /* fa */
    "Vahvista", /* fi */
    "Kumpirmahin", /* fil */
    "Confirmer", /* fr */
    "Confirmer", /* fr_CA */
    "Confirmer", /* fr_CH */
    "Confirmar", /* gl */
    "Bestätigen", /* gsw */
    "કન્ફર્મ કરો", /* gu */
    "אישור", /* he */
    "पुष्टि करें", /* hi */
    "Potvrdi", /* hr */
    "Megerősítés", /* hu */
    "Հաստատել", /* hy */
    "Konfirmasi", /* id */
    "Konfirmasi", /* in */
    "Staðfesta", /* is */
    "Conferma", /* it */
    "אישור", /* iw */
    "確認", /* ja */
    "დადასტურება", /* ka */
    "Растау", /* kk */
    "បញ្ជាក់", /* km */
    "ಖಚಿತಪಡಿಸಿ", /* kn */
    "확인", /* ko */
    "Ырастоо", /* ky */
    "Confirmer", /* ln */
    "ຢືນຢັນ", /* lo */
    "Patvirtinti", /* lt */
    "Apstiprināt", /* lv */
    "Потврди", /* mk */
    "സ്ഥിരീകരിക്കുക", /* ml */
    "Баталгаажуулах", /* mn */
    "Confirmați", /* mo */
    "निश्चित करा", /* mr */
    "Sahkan", /* ms */
    "အတည်ပြုရန်", /* my */
    "Bekreft", /* nb */
    "पुष्टि गर्नुहोस्", /* ne */
    "Bevestigen", /* nl */
    "Bekreft", /* no */
    "ସୁନିଶ୍ଚିତ କରନ୍ତୁ", /* or */
    "ਤਸਦੀਕ ਕਰੋ", /* pa */
    "Potwierdź", /* pl */
    "Confirmar", /* pt */
    "Confirmar", /* pt_BR */
    "Confirmar", /* pt_PT */
    "Confirmați", /* ro */
    "Подтвердить", /* ru */
    "තහවුරු කරන්න", /* si */
    "Potvrdiť", /* sk */
    "Potrdi", /* sl */
    "Konfirmo", /* sq */
    "Потврди", /* sr */
    "Potvrdi", /* sr_Latn */
    "Bekräfta", /* sv */
    "Thibitisha", /* sw */
    "சரி", /* ta */
    "నిర్ధారించు", /* te */
    "ยืนยัน", /* th */
    "Kumpirmahin", /* tl */
    "Onayla", /* tr */
    "Підтвердити", /* uk */
    "تصدیق کریں", /* ur */
    "Tasdiqlash", /* uz */
    "Xác nhận", /* vi */
    "确认", /* zh */
    "确认", /* zh_CN */
    "確認", /* zh_HK */
    "確認", /* zh_TW */
    "Qinisekisa", /* zu */
  },
  { /* CONFIRM_PWR_BUTTON */
    "Press power to confirm", /* en (untranslated) */
    "Druk aan/af-skakelaar om te bevestig", /* af */
    "ለማረጋገጥ ኃይልን ይጫኑ", /* am */
    "اضغط على زر التشغيل لتأكيد الإجراء.", /* ar */
    "اضغط على زر التشغيل لتأكيد الإجراء.", /* ar_EG */
    "اضغط على زر التشغيل لتأكيد الإجراء.", /* ar_JO */
    "اضغط على زر التشغيل لتأكيد الإجراء.", /* ar_MA */
    "اضغط على زر التشغيل لتأكيد الإجراء.", /* ar_SA */
    "‏‮Press‬‏ ‏‮power‬‏ ‏‮to‬‏ ‏‮confirm‬‏", /* ar_XB */
    "নিশ্চিত কৰিবলৈ পাৱাৰ বুটাম হেঁচক", /* as */
    "Təsdiq etmək üçün yandırıb-söndürmə düyməsinə basın", /* az */
    "Націсніце кнопку сілкавання, каб пацвердзіць", /* be */
    "Натиснете бутона за захранване, за да потвърдите", /* bg */
    "নিশ্চিত করতে পাওয়ার বোতাম টিপুন", /* bn */
    "Pritisnite dugme za napajanje za potvrdu", /* bs */
    "Prem el botó d\'engegada per confirmar", /* ca */
    "Potvrďte stisknutím vypínače", /* cs */
    "Tryk på afbryderknappen for at bekræfte", /* da */
    "Drücke zum Bestätigen die Ein-/Aus-Taste", /* de */
    "Drücke zum Bestätigen die Ein-/Aus-Taste", /* de_AT */
    "Drücke zum Bestätigen die Ein-/Aus-Taste", /* de_CH */
    "Πατήστε το κουμπί λειτουργίας για επιβεβαίωση", /* el */
    "Press power to confirm", /* en_AU */
    "Press power to confirm", /* en_CA */
    "Press power to confirm", /* en_GB */
    "Press power to confirm", /* en_IE */
    "Press power to confirm", /* en_IN */
    "Press power to confirm", /* en_NZ */
    "Press power to confirm", /* en_SG */
    "Press power to confirm", /* en_ZA */
    "Pulsa el botón de encendido para confirmar", /* es */
    "Presiona el botón de encendido para confirmar", /* es_419 */
    "Presiona el botón de encendido para confirmar", /* es_AR */
    "Presiona el botón de encendido para confirmar", /* es_BO */
    "Presiona el botón de encendido para confirmar", /* es_CL */
    "Presiona el botón de encendido para confirmar", /* es_CO */
    "Presiona el botón de encendido para confirmar", /* es_CR */
    "Presiona el botón de encendido para confirmar", /* es_DO */
    "Presiona el botón de encendido para confirmar", /* es_EC */
    "Presiona el botón de encendido para confirmar", /* es_GT */
    "Presiona el botón de encendido para confirmar", /* es_HN */
    "Presiona el botón de encendido para confirmar", /* es_MX */
    "Presiona el botón de encendido para confirmar", /* es_NI */
    "Presiona el botón de encendido para confirmar", /* es_PA */
    "Presiona el botón de encendido para confirmar", /* es_PE */
    "Presiona el botón de encendido para confirmar", /* es_PR */
    "Presiona el botón de encendido para confirmar", /* es_PY */
    "Presiona el botón de encendido para confirmar", /* es_SV */
    "Presiona el botón de encendido para confirmar", /* es_US */
    "Presiona el botón de encendido para confirmar", /* es_UY */
    "Presiona el botón de encendido para confirmar", /* es_VE */
    "Kinnitamiseks vajutage toitenuppu", /* et */
    "Berresteko, sakatu etengailua", /* eu */
    "برای تأیید، دکمه روشن/خاموش را فشار دهید", /* fa */
    "Vahvista painamalla virtapainiketta", /* fi */
    "Pindutin ang power para kumpirmahin", /* fil */
    "Appuyez sur le bouton Marche/Arrêt pour confirmer l\'opération", /* fr */
    "Appuyez sur l\'interrupteur pour confirmer", /* fr_CA */
    "Appuyez sur le bouton Marche/Arrêt pour confirmer l\'opération", /* fr_CH */
    "Preme o botón de acendido para confirmar", /* gl */
    "Drücke zum Bestätigen die Ein-/Aus-Taste", /* gsw */
    "કન્ફર્મ કરવા માટે પાવર બટન દબાવો", /* gu */
    "יש ללחוץ על לחצן ההפעלה כדי לאשר", /* he */
    "पुष्टि करने के लिए पावर बटन दबाएं", /* hi */
    "Pritisnite tipku za uključivanje/isključivanje da biste potvrdili", /* hr */
    "Nyomja meg a bekapcsológombot a megerősítéshez", /* hu */
    "Հաստատելու համար սեղմեք սնուցման կոճակը", /* hy */
    "Tekan tombol power untuk mengonfirmasi", /* id */
    "Tekan tombol power untuk mengonfirmasi", /* in */
    "Ýttu á aflrofann til að staðfesta", /* is */
    "Premi il tasto di accensione per confermare", /* it */
    "יש ללחוץ על לחצן ההפעלה כדי לאשר", /* iw */
    "確認するには、電源を押します", /* ja */
    "დასადასტურებლად დააჭირეთ ჩართვის ღილაკს", /* ka */
    "Растау үшін қуат түймесін басыңыз", /* kk */
    "ចុច​ប៊ូតុង​ថាមពល​ដើម្បី​បញ្ជាក់", /* km */
    "ದೃಢೀಕರಿಸಲು ಪವರ್ ಬಟನ್ ಒತ್ತಿರಿ", /* kn */
    "확인하려면 전원 버튼을 누르세요.", /* ko */
    "Ырастоо үчүн \"Кубат\" баскычын басыңыз", /* ky */
    "Appuyez sur le bouton Marche/Arrêt pour confirmer l\'opération", /* ln */
    "ກົດປຸ່ມເປີດປິດເພື່ອຢືນຢັນ", /* lo */
    "Paspauskite maitinimo mygtuką, kad patvirtintumėte", /* lt */
    "Lai apstiprinātu, nospiediet barošanas pogu", /* lv */
    "Притиснете на копчето за напојување за да потврдите", /* mk */
    "സ്ഥിരീകരിക്കാൻ പവർ അമർത്തുക", /* ml */
    "Баталгаажуулахын тулд унтраах/асаахыг дарах", /* mn */
    "Apăsați butonul de pornire pentru a confirma", /* mo */
    "निश्चित करण्‍यासाठी पॉवर दाबा", /* mr */
    "Tekan kuasa untuk mengesahkan", /* ms */
    "အတည်ပြုရန် ပါဝါခလုတ်နှိပ်ပါ", /* my */
    "Trykk på av/på-knappen for å bekrefte", /* nb */
    "पुष्टि गर्न पावर बटनमा थिच्नुहोस्", /* ne */
    "Druk op de aan/uit-knop om te bevestigen", /* nl */
    "Trykk på av/på-knappen for å bekrefte", /* no */
    "ସୁନିଶ୍ଚିତ କରିବା ପାଇଁ ପାୱର୍‌ ବଟନ୍‌କୁ ଦାବନ୍ତୁ", /* or */
    "ਪੁਸ਼ਟੀ ਕਰਨ ਲਈ ਪਾਵਰ ਬਟਨ ਦਬਾਓ", /* pa */
    "Naciśnij przycisk zasilania, aby potwierdzić", /* pl */
    "Pressione o botão liga/desliga para confirmar", /* pt */
    "Pressione o botão liga/desliga para confirmar", /* pt_BR */
    "Prima ligar/desligar para confirmar.", /* pt_PT */
    "Apăsați butonul de pornire pentru a confirma", /* ro */
    "Для подтверждения нажмите кнопку питания.", /* ru */
    "තහවුරු කිරීමට බල බොත්තම ඔබන්න", /* si */
    "Potvrďte stlačením vypínača", /* sk */
    "Za potrditev pritisnite gumb za vklop", /* sl */
    "Shtyp butonin e energjisë për të konfirmuar", /* sq */
    "Притисните дугме за напајање да бисте потврдили", /* sr */
    "Pritisnite dugme za napajanje da biste potvrdili", /* sr_Latn */
    "Bekräfta genom att trycka på strömbrytaren", /* sv */
    "Bonyeza kitufe cha kuwasha ili uthibitishe", /* sw */
    "உறுதிப்படுத்த, பவரை அழுத்தவும்", /* ta */
    "నిర్ధారించడానికి పవర్‌ను నొక్కండి", /* te */
    "กดปุ่มเปิด/ปิดเพื่อยืนยัน", /* th */
    "Pindutin ang power para kumpirmahin", /* tl */
    "Onaylamak için güç düğmesine basın", /* tr */
    "Натисніть кнопку живлення, щоб підтвердити", /* uk */
    "تصدیق کرنے کے لئے پاور بٹن دبائیں", /* ur */
    "Tasdiqlash uchun quvvat tugmasini bosing", /* uz */
    "Nhấn vào nút nguồn để xác nhận", /* vi */
    "按电源按钮即可确认", /* zh */
    "按电源按钮即可确认", /* zh_CN */
    "按下電源按鈕即可確認", /* zh_HK */
    "按下電源按鈕即可確認操作", /* zh_TW */
    "Cindezela amandla ukuze uqinisekise", /* zu */
  },
  { /* CONFIRM_PWR_BUTTON_DOUBLE_PRESS */
    "Double-press power to confirm", /* en (untranslated) */
    "Dubbeldruk aan/af-skakelaar om te bevestig", /* af */
    "ለማረጋገጥ ኃይልን ሁለቴ ይጫኑ", /* am */
    "اضغط على زر التشغيل مرتين لتأكيد الإجراء.", /* ar */
    "اضغط على زر التشغيل مرتين لتأكيد الإجراء.", /* ar_EG */
    "اضغط على زر التشغيل مرتين لتأكيد الإجراء.", /* ar_JO */
    "اضغط على زر التشغيل مرتين لتأكيد الإجراء.", /* ar_MA */
    "اضغط على زر التشغيل مرتين لتأكيد الإجراء.", /* ar_SA */
    "‏‮Double‬‏-‏‮press‬‏ ‏‮power‬‏ ‏‮to‬‏ ‏‮confirm‬‏", /* ar_XB */
    "নিশ্চিত কৰিবলৈ পাৱাৰ বুটামটো দুবাৰ হেঁচক", /* as */
    "Təsdiqləmək üçün iki dəfə yandırıb-söndürmək düyməsinə basın", /* az */
    "Двойчы націсніце кнопку сілкавання, каб пацвердзіць", /* be */
    "Натиснете два пъти бутона за захранване, за да потвърдите", /* bg */
    "নিশ্চিত করতে পাওয়ার বোতাম দুবার টিপুন", /* bn */
    "Dva puta pritisnite dugme za napajanje da potvrdite", /* bs */
    "Prem dos cops el botó d\'engegada per confirmar", /* ca */
    "Potvrďte dvojitým stisknutím vypínače", /* cs */
    "Tryk to gange på afbryderknappen for at bekræfte", /* da */
    "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken", /* de */
    "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken", /* de_AT */
    "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken", /* de_CH */
    "Πατήστε δύο φορές το κουμπί λειτουργίας για επιβεβαίωση", /* el */
    "Double-press power to confirm", /* en_AU */
    "Double-press power to confirm", /* en_CA */
    "Double-press power to confirm", /* en_GB */
    "Double-press power to confirm", /* en_IE */
    "Double-press power to confirm", /* en_IN */
    "Double-press power to confirm", /* en_NZ */
    "Double-press power to confirm", /* en_SG */
    "Double-press power to confirm", /* en_ZA */
    "Pulsa dos veces el botón de encendido para confirmar", /* es */
    "Presiona dos veces el botón de encendido para confirmar", /* es_419 */
    "Presiona dos veces el botón de encendido para confirmar", /* es_AR */
    "Presiona dos veces el botón de encendido para confirmar", /* es_BO */
    "Presiona dos veces el botón de encendido para confirmar", /* es_CL */
    "Presiona dos veces el botón de encendido para confirmar", /* es_CO */
    "Presiona dos veces el botón de encendido para confirmar", /* es_CR */
    "Presiona dos veces el botón de encendido para confirmar", /* es_DO */
    "Presiona dos veces el botón de encendido para confirmar", /* es_EC */
    "Presiona dos veces el botón de encendido para confirmar", /* es_GT */
    "Presiona dos veces el botón de encendido para confirmar", /* es_HN */
    "Presiona dos veces el botón de encendido para confirmar", /* es_MX */
    "Presiona dos veces el botón de encendido para confirmar", /* es_NI */
    "Presiona dos veces el botón de encendido para confirmar", /* es_PA */
    "Presiona dos veces el botón de encendido para confirmar", /* es_PE */
    "Presiona dos veces el botón de encendido para confirmar", /* es_PR */
    "Presiona dos veces el botón de encendido para confirmar", /* es_PY */
    "Presiona dos veces el botón de encendido para confirmar", /* es_SV */
    "Presiona dos veces el botón de encendido para confirmar", /* es_US */
    "Presiona dos veces el botón de encendido para confirmar", /* es_UY */
    "Presiona dos veces el botón de encendido para confirmar", /* es_VE */
    "Kinnitamiseks topeltvajutage toitenuppu", /* et */
    "Berresteko, sakatu birritan pizteko botoia", /* eu */
    "برای تأیید، دکمه روشن/خاموش را دوبار فشار دهید", /* fa */
    "Vahvista painamalla virtapainiketta kahdesti", /* fi */
    "Pindutin nang dalawang beses ang power para kumpirmahin", /* fil */
    "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l\'opération", /* fr */
    "Appuyez deux fois sur l\'interrupteur pour confirmer", /* fr_CA */
    "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l\'opération", /* fr_CH */
    "Preme o botón de acendido dúas veces para confirmar", /* gl */
    "Zum Bestätigen die Ein-/Aus-Taste zweimal drücken", /* gsw */
    "કન્ફર્મ કરવા માટે પાવર પર બે વાર ટૅપ કરો", /* gu */
    "יש ללחוץ פעמיים על לחצן ההפעלה כדי לאשר", /* he */
    "पुष्टि करने के लिए पावर बटन दो बार दबाएं", /* hi */
    "Dvaput pritisnite tipku za uključivanje/isključivanje da biste potvrdili", /* hr */
    "A megerősítéshez nyomja meg duplán a bekapcsológombot", /* hu */
    "Հաստատելու համար կրկնակի սեղմեք սնուցման կոճակը", /* hy */
    "Tekan dua kali tombol power untuk mengonfirmasi", /* id */
    "Tekan dua kali tombol power untuk mengonfirmasi", /* in */
    "Ýttu tvisvar á aflrofann til að staðfesta", /* is */
    "Premi due volte il tasto di accensione per confermare", /* it */
    "יש ללחוץ פעמיים על לחצן ההפעלה כדי לאשר", /* iw */
    "確認するには、電源を 2 回押します", /* ja */
    "დასადასტურებლად ორმაგად დააჭირეთ ჩართვის ღილაკს", /* ka */
    "Растау үшін қуат түймесін екі рет басыңыз", /* kk */
    "ចុច​ប៊ូតុង​ថាមពល​ពីរដង​ដើម្បី​បញ្ជាក់", /* km */
    "ದೃಢೀಕರಿಸಲು ಪವರ್‌ ಬಟನ್‌ ಅನ್ನು ಎರಡು ಬಾರಿ ಒತ್ತಿರಿ", /* kn */
    "확인하려면 전원 버튼을 두 번 누르세요.", /* ko */
    "Ырастоо үчүн \"Кубат\" баскычын эки жолу басыңыз", /* ky */
    "Appuyez deux fois sur le bouton Marche/Arrêt pour confirmer l\'opération", /* ln */
    "ກົດປຸ່ມປິດເປີດເຄື່ອງສອງຄັ້ງເພື່ອຢືນຢັນ", /* lo */
    "Dukart paspauskite maitinimo mygtuką, kad patvirtintumėte", /* lt */
    "Lai apstiprinātu, divreiz nospiediet barošanas pogu", /* lv */
    "Притиснете на копчето за напојување двапати за да потврдите", /* mk */
    "സ്ഥിരീകരിക്കാൻ പവർ രണ്ടുതവണ അമർത്തുക", /* ml */
    "Баталгаажуулахын тулд унтраах/асаахыг хоёр удаа дарах", /* mn */
    "Apăsați de două ori butonul de pornire pentru a confirma", /* mo */
    "खात्री करण्‍यासाठी पॉवर बटण दोनदा दाबा", /* mr */
    "Tekan dua kali butang kuasa untuk mengesahkan", /* ms */
    "အတည်ပြုရန် ပါဝါခလုတ်ကို နှစ်ချက်နှိပ်ပါ", /* my */
    "Dobbelttrykk på av/på-knappen for å bekrefte", /* nb */
    "पुष्टि गर्न पावर बटनमा दुई पटक थिच्नुहोस्", /* ne */
    "Druk twee keer op de aan/uit-knop om te bevestigen", /* nl */
    "Dobbelttrykk på av/på-knappen for å bekrefte", /* no */
    "ସୁନିଶ୍ଚିତ କରିବା ପାଇଁ ପାୱାର୍‍ ବଟନ୍‍କୁ ଦୁଇଥର ଦବାନ୍ତୁ", /* or */
    "ਪੁਸ਼ਟੀ ਕਰਨ ਲਈ ਪਾਵਰ ਬਟਨ ਨੂੰ ਦੋ ਬਾਰ ਦੱਬੋ", /* pa */
    "Kliknij dwukrotnie przycisk zasilania, by potwierdzić", /* pl */
    "Pressione o botão liga/desliga duas vezes para confirmar", /* pt */
    "Pressione o botão liga/desliga duas vezes para confirmar", /* pt_BR */
    "Prima duas vezes ligar/desligar para confirmar.", /* pt_PT */
    "Apăsați de două ori butonul de pornire pentru a confirma", /* ro */
    "Для подтверждения дважды нажмите кнопку питания.", /* ru */
    "තහවුරු කිරීමට බල බොත්තම දෙවරක් ඔබන්න", /* si */
    "Potvrďte dvojitým stlačením vypínača", /* sk */
    "Dvakrat pritisnite za potrditev", /* sl */
    "Shtyp dy herë butonin e energjisë për të konfirmuar", /* sq */
    "Двапут притисните дугме за напајање да бисте потврдили", /* sr */
    "Dvaput pritisnite dugme za napajanje da biste potvrdili", /* sr_Latn */
    "Bekräfta genom att trycka två gånger på avstängningsknappen", /* sv */
    "Bonyeza kitufe cha kuwasha mara mbili ili uthibitishe", /* sw */
    "உறுதிப்படுத்த, பவர் பட்டனை இருமுறை அழுத்தவும்", /* ta */
    "నిర్ధారించడానికి పవర్ బటన్‌ని రెండు సార్లు నొక్కండి", /* te */
    "กดปุ่มเปิด/ปิด 2 ครั้งเพื่อยืนยัน", /* th */
    "Pindutin nang dalawang beses ang power para kumpirmahin", /* tl */
    "Onaylamak için güç düğmesine iki kez basın", /* tr */
    "Двічі натисніть кнопку живлення, щоб підтвердити", /* uk */
    "تصدیق کرنے کے لئے پاور بٹن دوبار دبائیں", /* ur */
    "Tasdiqlash uchun quvvat tugmasini ikki marta bosing", /* uz */
    "Nhấn hai lần vào nút nguồn để xác nhận", /* vi */
    "连按两次电源按钮即可确认", /* zh */
    "连按两次电源按钮即可确认", /* zh_CN */
    "按兩下電源按鈕即可確認", /* zh_HK */
    "按兩下電源按鈕即可確認操作", /* zh_TW */
    "Cindezela kabili ukuze uqinisekise", /* zu */
  },
  { /* DESCRIPTION */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en (untranslated) */
    "Gaan die besonderhede op hierdie skerm versigtig na. Bevestig net as die inligting korrek is.", /* af */
    "በዚህ ማያ ገጽ ላይ ዝርዝሮችን በጥንቃቄ ይገምግሙ። መረጃው ትክክል ከሆነ ብቻ ያረጋግጡ።", /* am */
    "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.", /* ar */
    "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.", /* ar_EG */
    "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.", /* ar_JO */
    "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.", /* ar_MA */
    "يمكنك مراجعة التفاصيل على هذه الشاشة بعناية. يجب عدم التأكيد إلا إذا كانت المعلومات صحيحة.", /* ar_SA */
    "‏‮Review‬‏ ‏‮the‬‏ ‏‮details‬‏ ‏‮on‬‏ ‏‮this‬‏ ‏‮screen‬‏ ‏‮carefully‬‏. ‏‮Only‬‏ ‏‮confirm‬‏ ‏‮if‬‏ ‏‮the‬‏ ‏‮information‬‏ ‏‮is‬‏ ‏‮correct‬‏.", /* ar_XB */
    "এই স্ক্ৰীনত থকা সবিশেষ সাৱধানে পৰ্যালোচনা কৰক। তথ্যখিনি শুদ্ধ হ’লেহে কেৱল নিশ্চিত কৰক।", /* as */
    "Bu ekrandakı detalları diqqətlə nəzərdən keçirin. Ancaq məlumat doğru olduqda təsdiqləyin.", /* az */
    "Уважліва праглядзіце падрабязныя звесткі на экране. Пацвердзіце, толькі калі інфармацыя правільная.", /* be */
    "Прегледайте внимателно подробностите на този екран. Потвърдете само ако информацията е правилна.", /* bg */
    "এই স্ক্রিনে ভাল করে বিবরণের পর্যালোচনা করুন। একমাত্র তথ্যটি সঠিক হলে তবেই কনফার্ম করুন।", /* bn */
    "Pregledajte pažljivo detalje na ovom ekranu. Potvrdite samo ako su informacije tačne.", /* bs */
    "Revisa detingudament els detalls en aquesta pantalla. Només has de confirmar si la informació és correcta.", /* ca */
    "Údaje na této obrazovce pečlivě zkontrolujte. Potvrďte je, pouze pokud jsou správné.", /* cs */
    "Gennemgå oplysningerne på denne skærm nøje. Bekræft kun oplysningerne, hvis de er korrekte.", /* da */
    "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.", /* de */
    "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.", /* de_AT */
    "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.", /* de_CH */
    "Διαβάστε προσεκτικά τις λεπτομέρειες σε αυτήν την οθόνη. Επιβεβαιώστε μόνο αν οι πληροφορίες είναι σωστές.", /* el */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_AU */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_CA */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_GB */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_IE */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_IN */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_NZ */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_SG */
    "Review the details on this screen carefully. Only confirm if the information is correct.", /* en_ZA */
    "Revisa detenidamente la información de esta pantalla y, si es correcta, confirma que quieres seguir.", /* es */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_419 */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_AR */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_BO */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_CL */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_CO */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_CR */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_DO */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_EC */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_GT */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_HN */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_MX */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_NI */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_PA */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_PE */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_PR */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_PY */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_SV */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_US */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_UY */
    "Revisa atentamente los detalles que se muestran en esta pantalla. Solo confirma la información si es correcta.", /* es_VE */
    "Vaadake üksikasjad sellel kuval hoolikalt üle. Kinnitage vaid siis, kui teave on õige.", /* et */
    "Berrikusi kontuz pantaila honetako xehetasunak. Berretsi informazioa zuzena bada soilik.", /* eu */
    "جزئیات موجود در این صفحه را به‌دقت مرور کنید. تنها درصورت صحیح بودن اطلاعات آن‌ها را تأیید کنید.", /* fa */
    "Tarkista näytöllä näkyvät tiedot huolellisesti. Vahvista tiedot vain, jos ne pitävät paikkansa.", /* fi */
    "Suriing mabuti ang mga detalye sa screen na ito. Kumpirmahin lang kung tama ang impormasyon.", /* fil */
    "Lisez attentivement les informations indiquées sur cet écran. Ne les confirmez que si elles sont correctes.", /* fr */
    "Examinez attentivement les renseignements affichés à l\'écran. Confirmez seulement si tout est correct.", /* fr_CA */
    "Lisez attentivement les informations indiquées sur cet écran. Ne les confirmez que si elles sont correctes.", /* fr_CH */
    "Revisa atentamente os detalles desta pantalla. Confírmaos só se a información é correcta.", /* gl */
    "Prüfe die Daten auf diesem Bildschirm sorgfältig. Bestätige die Daten nur, wenn sie wirklich korrekt sind.", /* gsw */
    "આ સ્ક્રીન પરની વિગતોનો ધ્યાનપૂર્વક રિવ્યૂ કરો. જો માહિતી સાચી હોય, તો જ કન્ફર્મ કરો.", /* gu */
    "יש לבדוק את הפרטים שבמסך הזה בקפידה. יש לאשר רק אם המידע נכון.", /* he */
    "इस स्क्रीन पर दी गई जानकारी काे ध्यान से देखें. जानकारी सही हाेने पर ही पुष्टि करें.", /* hi */
    "Pažljivo pregledajte pojedinosti na ovom zaslonu. Potvrdite samo jesu li informacije točne.", /* hr */
    "Gondosan tekintse át a képernyőn látható részleteket. Csak akkor lépjen tovább, ha az információ helyes.", /* hu */
    "Ուշադիր ծանոթացեք էկրանին ցուցադրվող տեղեկություններին։ Հաստատեք միայն այն դեպքում, եթե դրանք ճիշտ են։", /* hy */
    "Tinjau detail di layar ini dengan cermat. Konfirmasi hanya jika informasi sudah benar.", /* id */
    "Tinjau detail di layar ini dengan cermat. Konfirmasi hanya jika informasi sudah benar.", /* in */
    "Farðu vandlega yfir upplýsingarnar á skjánum. Staðfestu aðeins ef upplýsingarnar eru réttar.", /* is */
    "Esamina attentamente i dettagli in questa schermata. Conferma solo se le informazioni sono corrette.", /* it */
    "יש לבדוק את הפרטים שבמסך הזה בקפידה. יש לאשר רק אם המידע נכון.", /* iw */
    "この画面上の詳細情報を慎重にご確認ください。情報が正しい場合のみ確定してください。", /* ja */
    "ყურადღებით გაეცანით ამ ეკრანზე მოცემულ დეტალებს. დაადასტურეთ მხოლოდ იმ შემთხვევაში, თუ ინფორმაცია სწორია.", /* ka */
    "Осы экрандағы мәліметтерді мұқият оқыңыз. Ақпарат дұрыс болса ғана, растаңыз.", /* kk */
    "ពិនិត្យមើល​ព័ត៌មានលម្អិត​នៅលើអេក្រង់នេះ​ដោយប្រុងប្រយ័ត្ន។ គ្រាន់តែបញ្ជាក់ប៉ុណ្ណោះ ប្រសិនបើ​ព័ត៌មាននេះ​ត្រឹមត្រូវ។", /* km */
    "ಈ ಸ್ಕ್ರೀನ್‌ ಮೇಲಿರುವ ವಿವರಗಳನ್ನು ಎಚ್ಚರಿಕೆಯಿಂದ ಪರಿಶೀಲಿಸಿ. ಮಾಹಿತಿ ಸರಿಯಾಗಿದ್ದರೆ ಮಾತ್ರ ದೃಢೀಕರಿಸಿ.", /* kn */
    "현재 화면의 세부정보를 자세히 검토하세요. 정보가 정확한 경우에만 확인해 주세요.", /* ko */
    "Бул экрандагы маалыматты карап чыгыңыз. Ал туура болсо гана ырастаңыз.", /* ky */
    "Lisez attentivement les informations indiquées sur cet écran. Ne les confirmez que si elles sont correctes.", /* ln */
    "ກວດສອບລາຍລະອຽດຢູ່ໜ້າຈໍນີ້ຢ່າງລະມັດລະວັງ. ຢືນຢັນສະເພາະເມື່ອຂໍ້ມູນຖືກຕ້ອງເທົ່ານັ້ນ.", /* lo */
    "Atidžiai peržiūrėkite išsamią informaciją šiame ekrane. Patvirtinkite, tik jei informacija yra tinkama.", /* lt */
    "Rūpīgi pārskatiet šajā ekrānā redzamo informāciju. Apstipriniet informāciju tikai tad, ja tā ir pareiza.", /* lv */
    "Внимателно прегледајте ги деталите на екранов. Потврдете само ако податоците се точни.", /* mk */
    "ഈ സ്ക്രീനിലെ വിശദാംശങ്ങൾ ശ്രദ്ധാപൂർവ്വം അവലോകനം ചെയ്യുക. വിവരങ്ങൾ ശരിയാണെങ്കിൽ മാത്രം സ്ഥിരീകരിക്കുക.", /* ml */
    "Энэ дэлгэц дээрх дэлгэрэнгүй мэдээллийг анхааралтай шалгана уу. Зөвхөн мэдээлэл зөв тохиолдолд баталгаажуулна уу.", /* mn */
    "Examinați cu atenție detaliile de pe acest ecran. Confirmați numai dacă informațiile sunt corecte.", /* mo */
    "या स्क्रीनवरील माहितीचे काळजीपूर्वक पुनरावलोकन करा. माहिती बरोबर असल्यावरच कन्फर्म करा.", /* mr */
    "Semak butiran pada skrin ini dengan teliti. Sahkan hanya sekiranya maklumat tersebut betul.", /* ms */
    "ဤဖန်သားပြင်တွင် အသေးစိတ်ကို ဂရုတစိုက် သုံးသပ်ပါ။ အချက်အလက် မှန်ကန်မှသာ အတည်ပြုပါ။", /* my */
    "Gå nøye gjennom informasjonen på denne skjermen. Bare bekreft hvis informasjonen er riktig.", /* nb */
    "यो स्क्रिनमा भएका विवरणहरूको ध्यान दिएर समीक्षा गर्नुहोस्। जानकारी सही भएमा मात्र पुष्टि गर्नुहोस्।", /* ne */
    "Lees de gegevens op dit scherm zorgvuldig door. Bevestig alleen als de informatie correct is.", /* nl */
    "Gå nøye gjennom informasjonen på denne skjermen. Bare bekreft hvis informasjonen er riktig.", /* no */
    "ଏହି ସ୍କ୍ରିନରେ ସତର୍କତାର ସହ ବିବରଣୀର ସମୀକ୍ଷା କରନ୍ତୁ। ଯଦି ସୂଚନା ସଠିକ୍ ଥାଏ ତେବେ କେବଳ ସୁନିଶ୍ଚିତ କରନ୍ତୁ।", /* or */
    "ਇਸ ਸਕ੍ਰੀਨ ਦੇ ਵੇਰਵਿਆਂ ਦੀ ਧਿਆਨ ਨਾਲ ਸਮੀਖਿਆ ਕਰੋ। ਜਾਣਕਾਰੀ ਸਹੀ ਹੋਣ \'ਤੇ ਹੀ ਤਸਦੀਕ ਕਰੋ।", /* pa */
    "Sprawdź dokładnie informacje na tym ekranie. Potwierdź tylko, jeśli informacje są prawidłowe.", /* pl */
    "Analise cuidadosamente os detalhes nesta tela. Só confirme se as informações estiverem corretas.", /* pt */
    "Analise cuidadosamente os detalhes nesta tela. Só confirme se as informações estiverem corretas.", /* pt_BR */
    "Reveja atentamente os detalhes neste ecrã. Apenas confirme se as informações estiverem corretas.", /* pt_PT */
    "Examinați cu atenție detaliile de pe acest ecran. Confirmați numai dacă informațiile sunt corecte.", /* ro */
    "Внимательно проверьте всю информацию на этой странице. Если данные верны, подтвердите их.", /* ru */
    "මෙම තිරයෙහි විස්තර සැලකිලිමත්ව සමාලෝචනය කරන්න. තොරතුරු නිවැරදි නම් පමණක් තහවුරු කරන්න.", /* si */
    "Údaje na tejto obrazovke dôkladne skontrolujte. Potvrďte ich, iba ak sú správne.", /* sk */
    "Pozorno preglejte podrobnosti na tem zaslonu. Potrdite samo, če so podatki pravilni.", /* sl */
    "Rishiko me kujdes detajet në këtë ekran. Konfirmo vetëm nëse informacioni është i saktë.", /* sq */
    "Пажљиво прегледајте детаље на овом екрану. Потврдите само ако су информације тачне.", /* sr */
    "Pažljivo pregledajte detalje na ovom ekranu. Potvrdite samo ako su informacije tačne.", /* sr_Latn */
    "Kontrollera informationen på den här skärmen noga. Bekräfta bara om informationen stämmer.", /* sv */
    "Kagua maelezo yaliyo kwenye skrini hii kwa umakini. Thibitisha tu iwapo maelezo ni sahihi.", /* sw */
    "இந்தத் திரையில் தோன்றும் விவரங்களைக் கவனமாக மதிப்பாய்வு செய்யவும். தகவல் சரியாக இருந்தால் மட்டும் உறுதிப்படுத்தவும்.", /* ta */
    "ఈ స్క్రీన్‌పై ఉన్న వివరాలను జాగ్రత్తగా రివ్యూ చేయండి. సమాచారం సరిగా ఉంటేనే నిర్ధారించండి.", /* te */
    "ตรวจสอบรายละเอียดในหน้าจอนี้ให้ถี่ถ้วน ยืนยันเฉพาะเมื่อข้อมูลถูกต้องเท่านั้น", /* th */
    "Suriing mabuti ang mga detalye sa screen na ito. Kumpirmahin lang kung tama ang impormasyon.", /* tl */
    "Bu ekrandaki ayrıntıları dikkatli bir şekilde inceleyin. Yalnızca bilgiler doğruysa onaylayın.", /* tr */
    "Уважно перевірте інформацію на екрані. Підтверджуйте, лише якщо все правильно.", /* uk */
    "اس اسکرین پر تفصیلات کا احتیاط کے ساتھ جائزہ لیں۔ صرف اس بات کی تصدیق کریں اگر معلومات درست ہے۔", /* ur */
    "Bu ekrandagi batafsil axborotni diqqat bilan tekshiring. Axborot xatosiz boʻlsa, uni tasdiqlang.", /* uz */
    "Xem lại kỹ thông tin chi tiết trên màn hình này. Chỉ xác nhận nếu thông tin đã chính xác.", /* vi */
    "仔细查看此屏幕上的详细信息。仅在信息正确无误时进行确认。", /* zh */
    "仔细查看此屏幕上的详细信息。仅在信息正确无误时进行确认。", /* zh_CN */
    "請仔細檢查此畫面上的詳細內容。確認前請確保資料正確。", /* zh_HK */
    "請仔細檢視這個畫面上的詳細資料。確認前請務必確定資料正確無誤。", /* zh_TW */
    "Buyekeza imininingwane kulesi sikrini ngokucophelela. Qinisekisa kuphela uma ulwazi lulungile.", /* zu */
  },
  { /* TITLE */
    "Android Protected Confirmation", /* en (untranslated) */
    "Android se Beskermde Bevestiging", /* af */
    "በAndroid ጥበቃ የሚደረግለት ማረጋገጫ", /* am */
    "تأكيد حماية Android", /* ar */
    "تأكيد حماية Android", /* ar_EG */
    "تأكيد حماية Android", /* ar_JO */
    "تأكيد حماية Android", /* ar_MA */
    "تأكيد حماية Android", /* ar_SA */
    "‏‮Android‬‏ ‏‮Protected‬‏ ‏‮Confirmation‬‏", /* ar_XB */
    "Androidৰ সুৰক্ষা সম্পৰ্কীয় প্ৰতিশ্ৰুতি", /* as */
    "Qorunan Android Təsdiqi", /* az */
    "Пацвярджэнне Android Protected", /* be */
    "Защитно потвърждение за Android", /* bg */
    "Android প্রোটেক্টেড কনফার্মেশন", /* bn */
    "Potvrda zaštite na Androidu", /* bs */
    "Confirmació de protecció d\'Android", /* ca */
    "Potvrzení ochrany Androidu", /* cs */
    "Beskyttet bekræftelse i Android", /* da */
    "Android geschützte Bestätigung", /* de */
    "Android geschützte Bestätigung", /* de_AT */
    "Android geschützte Bestätigung", /* de_CH */
    "Επιβεβαίωση προστασίας Android", /* el */
    "Android Protected Confirmation", /* en_AU */
    "Android Protected Confirmation", /* en_CA */
    "Android Protected Confirmation", /* en_GB */
    "Android Protected Confirmation", /* en_IE */
    "Android Protected Confirmation", /* en_IN */
    "Android Protected Confirmation", /* en_NZ */
    "Android Protected Confirmation", /* en_SG */
    "Android Protected Confirmation", /* en_ZA */
    "Confirmación protegida por Android", /* es */
    "Confirmación de protección de Android", /* es_419 */
    "Confirmación de protección de Android", /* es_AR */
    "Confirmación de protección de Android", /* es_BO */
    "Confirmación de protección de Android", /* es_CL */
    "Confirmación de protección de Android", /* es_CO */
    "Confirmación de protección de Android", /* es_CR */
    "Confirmación de protección de Android", /* es_DO */
    "Confirmación de protección de Android", /* es_EC */
    "Confirmación de protección de Android", /* es_GT */
    "Confirmación de protección de Android", /* es_HN */
    "Confirmación de protección de Android", /* es_MX */
    "Confirmación de protección de Android", /* es_NI */
    "Confirmación de protección de Android", /* es_PA */
    "Confirmación de protección de Android", /* es_PE */
    "Confirmación de protección de Android", /* es_PR */
    "Confirmación de protección de Android", /* es_PY */
    "Confirmación de protección de Android", /* es_SV */
    "Confirmación de protección de Android", /* es_US */
    "Confirmación de protección de Android", /* es_UY */
    "Confirmación de protección de Android", /* es_VE */
    "Androidi kaitstud kinnitus", /* et */
    "Android-en Babes-berrespena", /* eu */
    "تأیید محافظت‌شده Android", /* fa */
    "Vahvistus Android-suojauksesta", /* fi */
    "Pagkumpirmang Pinoprotektahan ng Android", /* fil */
    "Confirmation de protection Android", /* fr */
    "Confirmation protégée Android", /* fr_CA */
    "Confirmation de protection Android", /* fr_CH */
    "Android Protected Confirmation", /* gl */
    "Android geschützte Bestätigung", /* gsw */
    "Android પ્રોટેક્ટેડ કન્ફર્મેશન", /* gu */
    "Android Protected Confirmation", /* he */
    "Android की ओर से सुरक्षा की पुष्टि", /* hi */
    "Potvrda zaštite na Androidu", /* hr */
    "Android – védett megerősítés", /* hu */
    "Android Protected-ի հաստատում", /* hy */
    "Konfirmasi yang Dilindungi Android", /* id */
    "Konfirmasi yang Dilindungi Android", /* in */
    "Varin staðfesting Android", /* is */
    "Conferma Android Protected", /* it */
    "Android Protected Confirmation", /* iw */
    "Android Protected の確認", /* ja */
    "Android-ის დაცული დადასტურება", /* ka */
    "Android Protected Confirmation", /* kk */
    "ការ​បញ្ជាក់​ដែលបាន​ការពារ Android", /* km */
    "Android ಸಂರಕ್ಷಿತ ದೃಢೀಕರಣ", /* kn */
    "Android 보안 확인", /* ko */
    "Android Protected ырастоосу", /* ky */
    "Confirmation de protection Android", /* ln */
    "ການຢືນຢັນ Android ທີ່ໄດ້ຮັບການປົກປ້ອງ", /* lo */
    "„Android Protected“ patvirtinimas", /* lt */
    "Android aizsargātā informācija", /* lv */
    "Потврда за заштита на Android", /* mk */
    "Android സംരക്ഷിത സ്ഥിരീകരണം", /* ml */
    "Андройдоор хамгаалсан баталгаажуулалт", /* mn */
    "Confirmare protecție pentru Android", /* mo */
    "Android कडून सुरक्षा निश्चित करणे", /* mr */
    "Pengesahan Dilindungi Android", /* ms */
    "Android ကာကွယ်မှု အတည်ပြုချက်", /* my */
    "Android-beskyttet bekreftelse", /* nb */
    "Android द्वारा संरक्षण गरिएको पुष्टि", /* ne */
    "Bevestiging van Android-beveiliging", /* nl */
    "Android-beskyttet bekreftelse", /* no */
    "Android ଦ୍ୱାରା ସୁରକ୍ଷିତ ହୋଇଥିବାର ସୁନିଶ୍ଚିତତା", /* or */
    "Android ਵੱਲੋਂ ਸੁਰੱਖਿਆ ਦੀ ਪੁਸ਼ਟੀ", /* pa */
    "Zabezpieczone potwierdzenie w Androidzie", /* pl */
    "Confirmação protegida pelo Android", /* pt */
    "Confirmação protegida pelo Android", /* pt_BR */
    "Confirmação protegida do Android", /* pt_PT */
    "Confirmare protecție pentru Android", /* ro */
    "Подтверждение Android Protected", /* ru */
    "Android ආරක්ෂිත තහවුරු කිරීම", /* si */
    "Chránené potvrdenie Androidu", /* sk */
    "Zaščitena potrditev v Androidu", /* sl */
    "Android Protected Confirmation", /* sq */
    "Потврда заштите на Android-у", /* sr */
    "Potvrda zaštite na Android-u", /* sr_Latn */
    "Bekräftelseskydd för Android", /* sv */
    "Uthibitishaji Unaolindwa wa Android", /* sw */
    "Android பாதுகாப்பு தொடர்பான உறுதிப்படுத்தல்", /* ta */
    "Android సురక్షిత నిర్ధారణ", /* te */
    "ยืนยันการป้องกัน Android", /* th */
    "Pagkumpirmang Pinoprotektahan ng Android", /* tl */
    "Android Korumalı Onayı", /* tr */
    "Підтвердження Android Protected", /* uk */
    "Android کی تحفظ یافتہ تصدیق", /* ur */
    "Android Protected nomli tasdiq", /* uz */
    "Xác nhận bảo vệ Android", /* vi */
    "Android 保护确认", /* zh */
    "Android 保护确认", /* zh_CN */
    "Android 保護確認", /* zh_HK */
    "Android 保護確認", /* zh_TW */
    "Ukuqinisekiswa okuvikelwe i-Android", /* zu */
  },
};
/* "common_typos_enable" this is to pacify the Lint bot. */

static size_t selectedLangIdIndex = 0;

static int findStr(const char* const* haystack, const char* needle) {
    for (int n = 0; haystack[n] != nullptr; n++) {
        if (strcmp(needle, haystack[n]) == 0) {
            return n;
        }
    }
    return -1;
}

#define MAX_LANG_ID_SIZE 256

/* Non-static linkage to allow calling by the test. */
int langIdMatch(const char* const* lang_ids, const char* lang_id) {
    int ret;
    char lang_id_buf[MAX_LANG_ID_SIZE + 1];
    size_t n;

    ret = findStr(lang_ids, lang_id);
    if (ret >= 0) {
        return ret;
    }

    /* strncpy.. */
    for (n = 0; lang_id[n] != '\0' && n < MAX_LANG_ID_SIZE; n++) {
        lang_id_buf[n] = lang_id[n];
    }
    lang_id_buf[n] = '\0';

    while (n >= 1) {
        /* Remove last component */
        while (n >= 1 && lang_id_buf[n - 1] != '-') {
            n--;
        }
        if (n < 1) {
            return -1;
        }
        lang_id_buf[n - 1] = '\0';
        n--;
        ret = findStr(lang_ids, lang_id_buf);
        if (ret >= 0) {
            return ret;
        }
    }
    return -1;
}

const char* selectLangId(const char* lang_id) {
    selectedLangIdIndex = 0;
    if (lang_id == nullptr) {
        return languageIds[0];
    }

    int ret = langIdMatch(languageIds, lang_id);
    if (ret < 0) {
        return languageIds[0];
    }
    selectedLangIdIndex = ret;
    return languageIds[selectedLangIdIndex];
}

const char* lookup(TranslationId translation_id) {
    uint32_t tid = uint32_t(translation_id);
    if (tid >= NUM_TRANSLATION_IDS) return nullptr;
    uint32_t langIdIndex = selectedLangIdIndex;
    if (langIdIndex < 0 || langIdIndex >= NUM_LANGUAGE_IDS) {
        langIdIndex = 0;
    }
    auto result = translationIds[tid][langIdIndex];
    if (result != nullptr) {
        return result;
    }
    return translationIds[tid][0];
}

Languages getLanguages(void) {
    Languages langlist = { .size = NUM_LANGUAGE_IDS,
                           .list = languageIds};
    return langlist;
}

}  // namespace localization
}  // namespace teeui
